Debian Bug report logs - #506553
live-helper: all includes for /home/user are owned by root:root

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Andrei Popescu <andreimpopescu@gmail.com>

Date: Sat, 22 Nov 2008 14:33:02 UTC

Severity: normal

Found in version live-helper/1.0.1-2

Fixed in version live-helper/1.0.1-3

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506553; Package live-helper. (Sat, 22 Nov 2008 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Popescu <andreimpopescu@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 22 Nov 2008 14:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: all includes for /home/user are owned by root:root
Date: Sat, 22 Nov 2008 16:29:39 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0.1-2
Severity: normal

Hello,

I'm trying to include an .ssh/authorized_keys file on the image, but the 
file is now owned by root and the user can't login.

Regards,
Andrei

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=ro_RO.UTF-8, LC_CTYPE=ro_RO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
pn  dosfstools       <none>                  (no description available)
ii  fakeroot         1.11                    Gives a fake root environment
ii  genisoimage      9:1.1.9-1               Creates ISO-9660 CD-ROM filesystem
ii  grub             0.97-47lenny1           GRand Unified Bootloader (Legacy v
pn  memtest86+ | mem <none>                  (no description available)
pn  mtools           <none>                  (no description available)
ii  parted           1.8.8.git.2008.03.24-11 The GNU Parted disk partition resi
pn  squashfs-tools | <none>                  (no description available)
ii  sudo             1.6.9p17-1              Provide limited super user privile
pn  uuid-runtime     <none>                  (no description available)
pn  win32-loader     <none>                  (no description available)

-- no debconf information

-- 
If you can't explain it simply, you don't understand it well enough.
(Albert Einstein)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506553; Package live-helper. (Sat, 22 Nov 2008 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 22 Nov 2008 14:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 506553@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Andrei Popescu <andreimpopescu@gmail.com>, 506553@bugs.debian.org
Subject: Re: Bug#506553: live-helper: all includes for /home/user are owned by root:root
Date: Sat, 22 Nov 2008 15:48:29 +0100
tags 506553 +pending
thanks

Andrei Popescu wrote:
> I'm trying to include an .ssh/authorized_keys file on the image, but the 
> file is now owned by root and the user can't login.

fixed in git, see
http://git.debian.net/?p=debian-live/live-helper.git;a=commit;h=d8ed5095192c9c4057e86fa3177c4789c1a7996c

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 22 Nov 2008 14:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506553; Package live-helper. (Sat, 22 Nov 2008 15:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Popescu <andreimpopescu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 22 Nov 2008 15:12:12 GMT) Full text and rfc822 format available.

Message #17 received at 506553@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: Daniel Baumann <daniel@debian.org>
Cc: 506553@bugs.debian.org
Subject: Re: Bug#506553: live-helper: all includes for /home/user are owned by root:root
Date: Sat, 22 Nov 2008 17:07:48 +0200
[Message part 1 (text/plain, inline)]
On Sat,22.Nov.08, 15:48:29, Daniel Baumann wrote:
> tags 506553 +pending
> thanks
> 
> Andrei Popescu wrote:
> > I'm trying to include an .ssh/authorized_keys file on the image, but the 
> > file is now owned by root and the user can't login.
> 
> fixed in git, see
> http://git.debian.net/?p=debian-live/live-helper.git;a=commit;h=d8ed5095192c9c4057e86fa3177c4789c1a7996c

Wow, that was fast!

Thanks,
Andrei
-- 
If you can't explain it simply, you don't understand it well enough.
(Albert Einstein)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506553; Package live-helper. (Sat, 22 Nov 2008 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tomas@tuxteam.de:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 22 Nov 2008 15:48:04 GMT) Full text and rfc822 format available.

Message #22 received at 506553@bugs.debian.org (full text, mbox):

From: tomas@tuxteam.de
To: daniel@debian.org, 506553@bugs.debian.org
Cc: Andrei Popescu <andreimpopescu@gmail.com>
Subject: Re: Bug#506553: live-helper: all includes for /home/user are owned by root:root
Date: Sat, 22 Nov 2008 16:43:19 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, Nov 22, 2008 at 03:48:29PM +0100, Daniel Baumann wrote:
> tags 506553 +pending
> thanks
> 
> Andrei Popescu wrote:
> > I'm trying to include an .ssh/authorized_keys file on the image, but the 
> > file is now owned by root and the user can't login.
> 
> fixed in git, see
> http://git.debian.net/?p=debian-live/live-helper.git;a=commit;h=d8ed5095192c9c4057e86fa3177c4789c1a7996c

Hey, cool! Now I can throw my ugly chown hook away :-)

Regards
- -- tomás
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJKCiXBcgs9XrR2kYRAmIBAJ0YehF9BeWFAN9ktX8p7VYh+uhzgQCfSHMV
T+xp/k4iKgiDxXXAx/uO7Yo=
=gwmp
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 25 Nov 2008 11:57:11 GMT) Full text and rfc822 format available.

Notification sent to Andrei Popescu <andreimpopescu@gmail.com>:
Bug acknowledged by developer. (Tue, 25 Nov 2008 11:57:12 GMT) Full text and rfc822 format available.

Message #27 received at 506553-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506553-close@bugs.debian.org
Subject: Bug#506553: fixed in live-helper 1.0.1-3
Date: Tue, 25 Nov 2008 11:32:05 +0000
Source: live-helper
Source-Version: 1.0.1-3

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.1-3.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.1-3.diff.gz
live-helper_1.0.1-3.dsc
  to pool/main/l/live-helper/live-helper_1.0.1-3.dsc
live-helper_1.0.1-3_all.deb
  to pool/main/l/live-helper/live-helper_1.0.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506553@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 Nov 2008 12:00:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.1-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 506553
Changes: 
 live-helper (1.0.1-3) unstable; urgency=medium
 .
   [ An-Cheng Huang ]
   * Copy menu binary from the correct directory
 .
   [ Antonio Terceiro ]
   * Adding missing arguments to printf (l10n disabled)
 .
   [ Daniel Baumann ]
   * Correcting typo in dh_prep call in rules.
   * Correcting wrong defaults setting for internal _L10N variable.
   * Applied patch from Maximilian Gass <mxey@cloudconnected.org> to fix
     typo in generation of release files in lh_chroot_sources.
   * Removing wrong 'new-line' in running echo functions when using no
     color output.
   * Removing scripts directory through lh_clean, if it's not empty.
   * Even though users are supposed to have any local-includes with the
     correct owner and permissions, we set them manually on /home/user as
     it's likely that anybody will forget it (Closes: #506553).
Checksums-Sha1: 
 f92898782816e9e0e2d33b1d1383582478acb1ce 1239 live-helper_1.0.1-3.dsc
 6e99f41a17301630930d5e8ac5d1115277b69c17 38599 live-helper_1.0.1-3.diff.gz
 29d589f6c4897ce2e6ca4604e779309c4a2f3bf1 1858014 live-helper_1.0.1-3_all.deb
Checksums-Sha256: 
 579b46c6c32b289397755f5a4fe003f3424afea9f782dd5e260e20b0bafbcf8e 1239 live-helper_1.0.1-3.dsc
 f39f5c836c14e84b8dfbe10ea03a7e4479e75001734ed91d121eed24337642f8 38599 live-helper_1.0.1-3.diff.gz
 d634445b9088064d84d9f416d377b3c33927263ea4a28e66bb5191f037f931a0 1858014 live-helper_1.0.1-3_all.deb
Files: 
 192b78168229cd61004552bcc3d9512c 1239 misc optional live-helper_1.0.1-3.dsc
 5d12953d4e89f2dbab286060f8eab0c6 38599 misc optional live-helper_1.0.1-3.diff.gz
 6229be470b5fecb577bb8b83bf260351 1858014 misc optional live-helper_1.0.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkr30AACgkQ+C5cwEsrK54ygQCgmv4ERH3JQiDrbnOhZhQ3aFpp
UOgAn2mVPPIJIX1Km3vFU684uNDTJANj
=P2e8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Dec 2008 07:36:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:36:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.